Module java.management
Package javax.management

## Class ObjectInstance

- java.lang.Object
- - javax.management.ObjectInstance

All Implemented Interfaces:
  `Serializable`

    public class ObjectInstance
    extends Object
    implements Serializable

Used to represent the object name of an MBean and its class name. If the MBean is a Dynamic MBean the class name should be retrieved from the `MBeanInfo` it provides.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ObjectInstance​(String objectName, String className)` Allows an object instance to be created given a string representation of an object name and the full class name, including the package name.
`ObjectInstance​(ObjectName objectName, String className)` Allows an object instance to be created given an object name and the full class name, including the package name.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object object)` Compares the current object instance with another object instance.
`String` `getClassName()` Returns the class part.
`ObjectName` `getObjectName()` Returns the object name part.
`String` `toString()` Returns a string representing this ObjectInstance object.

### Methods declared in class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ObjectInstance

    public ObjectInstance​(String objectName,
                          String className)
                   throws MalformedObjectNameException

Allows an object instance to be created given a string representation of an object name and the full class name, including the package name.

Parameters:
  `objectName` - A string representation of the object name.
  `className` - The full class name, including the package name, of the object instance. If the MBean is a Dynamic MBean the class name corresponds to its `getMBeanInfo()``.getClassName()`.
Throws:
  `MalformedObjectNameException` - The string passed as a parameter does not have the right format.

#### ObjectInstance

    public ObjectInstance​(ObjectName objectName,
                          String className)

Allows an object instance to be created given an object name and the full class name, including the package name.

Parameters:
  `objectName` - The object name.
  `className` - The full class name, including the package name, of the object instance. If the MBean is a Dynamic MBean the class name corresponds to its `getMBeanInfo()``.getClassName()`. If the MBean is a Dynamic MBean the class name should be retrieved from the `MBeanInfo` it provides.

### Method Detail

#### equals

    public boolean equals​(Object object)

Compares the current object instance with another object instance.

Overrides:
  `equals` in class `Object`
Parameters:
  `object` - The object instance that the current object instance is to be compared with.
Returns:
  True if the two object instances are equal, otherwise false.
See Also:
  `Object.hashCode()`, `HashMap`

#### getObjectName

    public ObjectName getObjectName()

Returns the object name part.

Returns:
  the object name.

#### getClassName

    public String getClassName()

Returns the class part.

Returns:
  the class name.

#### toString

    public String toString()

Returns a string representing this ObjectInstance object. The format of this string is not specified, but users can expect that two ObjectInstances return the same string if and only if they are equal.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of the object.